#debuginfo not supported with Go
%global debug_package %{nil}

%global goipath         github.com/skupperproject/skupper/cmd/skupper
Version:                0.7.0
%global buildnum        1
%global downstream_build redhat-%{buildnum}
%global tag             0.7.0
%global package_name    skupper
%global golang_version  1.14
%global LDFLAGS         "-X github.com/skupperproject/skupper/client.Version=%{version}-%{downstream_build}"

%global godocs          README.md

Name:           %{package_name}
Release:        %{buildnum}%{?dist}
Summary:        Skupper client
License:        ASL 2.0
URL:            https://${goipath}
Source0:        %{package_name}-%{version}.tar.gz
Source1:        vendor-%{version}.tar.gz
Source2:        images.go

#BuildRequires:  golang >= %{golang_version}
BuildRequires:  go-toolset-1.15
Provides:       %{package_name}
Obsoletes:      %{package_name} < %{version}

# If go_arches not defined fall through to implicit golang archs
%if 0%{?go_arches:1}
ExclusiveArch:  %{go_arches}
%else
ExclusiveArch:  x86_64 ppc64le s390x
%endif


%description
Skupper command line tool


%prep
%setup -q
tar xpf %{SOURCE1} -C .
cp %{SOURCE2} client/

%build
scl enable go-toolset-1.15 'go build -mod=vendor -ldflags=%{LDFLAGS} -o %{gobuilddir}/bin/skupper %{goipath}'

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/*


%changelog
* Fri Jul 30 2021 Mike Cressman <mcressma@redhat.com> - 0.7.0-1
- Rebase to 0.7.0

* Wed May 19 2021 Mike Cressman <mcressma@redhat.com> - 0.6.0-1
- Rebase to 0.6.0

* Tue Mar 30 2021 Mike Cressman <mcressma@redhat.com> - 0.5.2-1
- Rebase to 0.5.2

* Fri Mar 26 2021 Mike Cressman <mcressma@redhat.com> - 0.5.1-2
- change the format of the version tag

* Fri Mar 26 2021 Mike Cressman <mcressma@redhat.com> - 0.5.1-1
- Rebase with upstream 0.5.1

* Wed Mar 10 2021 Mike Cressman <mcressma@redhat.com> - 0.5.0-1
- Rebase to upstream 0.5.0
- set internal version

* Wed Feb 24 2021 Mike Cressman <mcressma@redhat.com> - 0.4.2-1
- Initial package

